Update an existing order
PUT https://delivery-api.paysera.com/rest/v1/orders/{id}
Update delivery order details. Only certain fields can be modified after order creation.
Authorization​
This endpoint requires MAC (Message Authentication Code) authentication.
Authorization Header Format:
Authorization: MAC id="YOUR_PROJECT_ID",ts="1234567890",nonce="xyz123",mac="GENERATED_MAC_HASH"
Example:
Authorization: MAC id="a9b8c7d6e5f4g3h2", ts="1234567890", nonce="xyz123abc456def", mac="dGhpcyBpcyBhIHJhbmRvbSBtYWMgaGFzaCB2YWx1ZQ==", ext="body_hash=cmFuZG9tQm9keUhhc2hWYWx1ZQ%3D%3D"
For more details, please refer to the Authentication section.
Parameters​
Path Parameters​
| Name | Type | Required | Description |
|---|---|---|---|
id | string | ✓ | Order ID |
Request Body​
| Field | Type | Required | Description |
|---|---|---|---|
shipment_gateway_code | string | Update shipping gateway code | |
shipment_method_code | string | Update shipping method code | |
shipments | array | Update shipments | |
sender_id | string | Update sender ID | |
sender | object | ||
receiver_id | string | Update receiver ID | |
receiver | object | ||
notes | string | Update notes | |
eshop_order_id | string | Update e-shop order reference | |
order_notification | object |
Example​
Request​
PUT https://delivery-api.paysera.com/rest/v1/orders/{id}
Content-Type: application/json
Authorization: MAC id="YOUR_PROJECT_ID",ts="1234567890",nonce="xyz123",mac="GENERATED_MAC_HASH"
{}
Response​
{}
AUTHORIZATION: HTTP
REQUEST
Base URL
https://delivery-api.paysera.com
RESPONSE
Order updated successfully
{}